Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgrapht
Interface DirectedGraph<V,E>

All Superinterfaces:
  Graph<V,E>

All Known Implementing Classes:
  AsUnweightedDirectedGraph, DefaultDirectedGraph, DefaultDirectedWeightedGraph, DirectedMaskSubgraph, DirectedMultigraph, DirectedPseudograph, DirectedSubgraph, DirectedWeightedMultigraph, DirectedWeightedSubgraph, EdgeReversedGraph, ListenableDirectedGraph, ListenableDirectedWeightedGraph, SimpleDirectedGraph, SimpleDirectedWeightedGraph, UnmodifiableDirectedGraph

    public interface DirectedGraph<V,E>

extends Graph<V,E>

A graph whose all edges are directed. This is the root interface of all directed graphs.

See http://mathworld.wolfram.com/DirectedGraph.html for more on directed graphs.

Since:
  Jul 14, 2003
Author:
  Barak Naveh

Method Summary
`java.util.Set<E>` | `incomingEdgesOf(V vertex)` Returns a set of all edges incoming into the specified vertex.
`int` | `inDegreeOf(V vertex)` Returns the "in degree" of the specified vertex.
`int` | `outDegreeOf(V vertex)` Returns the "out degree" of the specified vertex.
`java.util.Set<E>` | `outgoingEdgesOf(V vertex)` Returns a set of all edges outgoing from the specified vertex.

Methods inherited from interface org.jgrapht.Graph
`addEdge, addEdge, addVertex, containsEdge, containsEdge, containsVertex, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, vertexSet`

Method Detail

### inDegreeOf

    int inDegreeOf(V vertex)

  Returns the "in degree" of the specified vertex. An in degree of a vertex in a directed graph is the number of inward directed edges from that vertex. See http://mathworld.wolfram.com/Indegree.html.

  Parameters:
    `vertex` - vertex whose degree is to be calculated.
  Returns:
    the degree of the specified vertex.

### incomingEdgesOf

    java.util.Set<E> incomingEdgesOf(V vertex)

  Returns a set of all edges incoming into the specified vertex.

  Parameters:
    `vertex` - the vertex for which the list of incoming edges to be returned.
  Returns:
    a set of all edges incoming into the specified vertex.

### outDegreeOf

    int outDegreeOf(V vertex)

  Returns the "out degree" of the specified vertex. An out degree of a vertex in a directed graph is the number of outward directed edges from that vertex. See http://mathworld.wolfram.com/Outdegree.html.

  Parameters:
    `vertex` - vertex whose degree is to be calculated.
  Returns:
    the degree of the specified vertex.

### outgoingEdgesOf

    java.util.Set<E> outgoingEdgesOf(V vertex)

  Returns a set of all edges outgoing from the specified vertex.

  Parameters:
    `vertex` - the vertex for which the list of outgoing edges to be returned.
  Returns:
    a set of all edges outgoing from the specified vertex.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD